Bug 4887

Summary: Use accessor functions instead direct access
Product: [Maemo Official Applications] Email Reporter: Javier Jardón <javierjc1982>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: modest-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper, svillar
Version: 5.0/(2.2009.51-1)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: All   
OS: Linux   
URL: http://live.gnome.org/GnomeGoals/UseGseal
Attachments: Use accessor functions instead direct access

Description Javier Jardón (reporter) 2009-08-07 13:33:01 UTC
To be ready for GNOME/GTK+ 3 modest should be able to build with -DGSEAL_ENABLE

See http://live.gnome.org/GnomeGoals/UseGseal for more details
Comment 1 Javier Jardón (reporter) 2009-08-07 13:37:14 UTC
Created an attachment (id=1298) [details]
Use accessor functions instead direct access

This patch only uses stable GTK+ functions (GTK<= 2.14).

It only modifies files needed by the Gnome version of Modest
Comment 2 Sergio Villar Senin 2009-11-03 19:51:19 UTC
Another very nice patch. Note that I removed from the final commit patches that
were modifying code under gnome/ as it does no longer exist.

Committed in 
master 25e0494ef15fe9ee8bac4b4f9c3b7f439b9d2379
Comment 3 Andre Klapper maemo.org 2010-03-15 20:55:49 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).